[Numpy-discussion] Install Numpy with Lapack library -- compiling error on solaris 9

danielhuang danielhuang@hotmail....
Tue Oct 9 13:47:58 CDT 2007


Hi,

I am trying to install numpy with lapack/altas library support and got 
following error on a solaris 9 box.

http://www.scipy.org/Download

The error I got during compiling is as following:


**********
ATL_dset                            0x1494 
/usr/local/lib/atlas/libatlas.a(ATL_zCtrsmKL.o)
ATL_dset                            0x14ac 
/usr/local/lib/atlas/libatlas.a(ATL_zCtrsmKL.o)
ATL_dset                            0xdec 
/usr/local/lib/atlas/libatlas.a(ATL_zCtrsmKR.o)
ATL_dset                            0xe04 
/usr/local/lib/atlas/libatlas.a(ATL_zCtrsmKR.o)
ATL_dset_xp0yp0aXbX                 0xd4 
/usr/local/lib/atlas/libatlas.a(ATL_dset.o)
ld: fatal: relocations remain against allocatable but non-writable 
sectionscollect2: ld returned 1 exit status error: Command "gcc -shared 
build/temp.solaris-2.9-sun4u-2.5/numpy/core/blasdot/_dotblas.o -L/usr/local/lib/atlas 
 -lptf77blas -lptcblas -latlas -o build/lib.sol
aris-2.9-sun4u-2.5/numpy/core/_dotblas.so" failed with exit status 1
***********

I am using gcc 3.4.6, any one has insight what might cause this error ?

thanks a lot.

- Daniel 



More information about the Numpy-discussion mailing list